Latest Version


FLAME GPU 1.5 SDK for CUDA 8.0 and CUDA 9.0 with Visual Studio 2015 (and Linux) is now available.

        Download FLAME GPU 1.5 release for CUDA 9.0+

        FLAME GPU 1.5.X master branch on GitHub

FLAME GPU 1.5 has now moved to an Open Source MIT licence. For details on recently added features please checkout the readmePlease the FLAME GPU licence agreement carefully. By opening the SDK, downloading the software, or using the software, you acknowledge that you have read and understood this agreement and that you agree to be bound by its terms and conditions.

The FLAME GPU SDK requires an installation of a CUDA toolkit and compatible driver. Binary windows executables are provided for each of the SDK in the 'bin' folder for a x64 architecture. Visual studio 2012 project files are included for each of the SDK examples. These include custom build rules for FLAME GPU template processing and the CUDA build step (further details are provided in the documentation section of this site).

Older Versions of FLAME GPU


For older versions of FLAME GPU please be aware that these are released under a University of Sheffield End User Licence Agreement.

Download archive FLAME GPU 1.4 release for CUDA 7.+